package ecfgenericclient;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import ecfgenericclient.localclient.ECFClient;

public class Activator implements BundleActivator {

	private static BundleContext context;

	static BundleContext getContext() {
		return context;
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext bundleContext) throws Exception {
		Activator.context = bundleContext;
		ECFClient client = new ECFClient("ecftcp://localhost:3282/zserver");
		client.connectClient();
		Thread.sleep(30000);
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext bundleContext) throws Exception {
		Activator.context = null;
	}

}
